Recovery Status

Get the current status of a recovery.

GET
/api/v1/recoveries/{recovery_number}/status

Description

Returns the recovery number and current workflow status of recovery.

Request

Headers

HeaderValueRequired
AuthorizationBearer <access_token>Yes
Content-Typeapplication/jsonYes

Path Parameters

ParameterTypeRequiredDescription
recovery_numberstringYesRecovery code.

Response

FieldTypeDescription
dataobjectRecovery status payload.
data.recovery_numberstringRecovery code.
data.statusstringRecover workflow status. Examples: Order Received, Print Shipping Label, Boxes Shipped, Delivered, Label Requested, Label Delivered, Pickup Requested, Pickup Scheduled, Return Shipped, Box Received, Already Returned, Cancelled, Not Responsive, Recovery Failed, Recovery Order, Delivery Failed.

Related Endpoints

Did this page help you?